Package com.apple.foundationdb

## Class MappedKeyValue

- java.lang.Object
- - com.apple.foundationdb.KeyValue
  - - com.apple.foundationdb.MappedKeyValue

    public class MappedKeyValue
    extends KeyValue

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`static MappedKeyValue` `fromBytes​(byte[] bytes, int[] lengths)`
`byte[]` `getRangeBegin()`
`byte[]` `getRangeEnd()`
`java.util.List<KeyValue>` `getRangeResult()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class com.apple.foundationdb.KeyValue

`getKey, getValue`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getRangeBegin

    public byte[] getRangeBegin()

#### getRangeEnd

    public byte[] getRangeEnd()

#### getRangeResult

    public java.util.List<KeyValue> getRangeResult()

#### fromBytes

    public static MappedKeyValue fromBytes​(byte[] bytes,
                                           int[] lengths)

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `KeyValue`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `KeyValue`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `KeyValue`